import * as interaction from './Interaction';
export declare class PanZoom extends interaction.Interaction {
    render(): void;
    remove(): void;
    update_scales(): void;
    set_ranges(): void;
    hasRotatedParent(element: any): any;
    mousePos(): any;
    mousedown(): void;
    _mousedown(mouse_pos: any): void;
    mouseup(): void;
    mousemove(): void;
    _mousemove(mouse_pos: any): any;
    mousewheel(): void;
    _zoom(mouse_pos: any, delta: any): any;
    active: boolean;
    scale_promises: any;
    previous_pos: [number, number];
    domains_in_order: {
        x: any[];
        y: any[];
    };
    last_mouse_pos: any;
    use_css_rotation_workaround: boolean;
}
